# External Workflow Enrollment API

# Overview
	The External Workflow Enrollment API enables end users to enroll their devices through a guided workflow process in RUCKUS One platform.
	These APIs orchestrate the device onboarding experience by executing sequential enrollment steps including authentication, device registration, and network provisioning.
	Use these endpoints to initiate enrollment workflows, progress through enrollment steps, and retrieve enrollment status and credentials.

Version: 0.0.1
License: RUCKUS Cloud Privacy Policy

## Servers

RUCKUS One API host for North American region.
```
https://api.ruckus.cloud
```

RUCKUS One API host for European region.
```
https://api.eu.ruckus.cloud
```

RUCKUS One API host for Asian region.
```
https://api.asia.ruckus.cloud
```

## Download OpenAPI description

[External Workflow Enrollment API](https://docs.ruckus.cloud/_bundle/api/device-enrollment-api-0.0.1.yaml)

## Workflow Login API

Manages workflow token for enrollment.

### Logs in to Workflow

 - [POST /deviceEnrollments/workflows/{workflowId}/login](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/workflow-login-api/login.md): Allows the user to login for device enrollment.

## Device Enrollment API

Manages enrollments for a device.

### Get Enrollment

 - [GET /deviceEnrollments/workflows/{workflowId}/enrollments/{enrollmentId}](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/device-enrollment-api/fetchenrollment.md): Allows the user to get an enrollment.

## Certificate Download API

Manages certificate downloads for device enrollment.

### Downloads the Certificate

 - [GET /deviceEnrollments/workflows/{workflowId}/certificates](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/certificate-download-api/downloadcertificate.md): Allows the user to download certificate for the enrollment.

## Enrollment File Management API

Manages enrollment action files.

### Get Signed URL for Download

 - [GET /deviceEnrollments/workflows/{workflowId}/files/{fileId}](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/enrollment-file-management-api/getsignedurlfordownload.md): Get signed URL for download.

## Workflow Step API

Manages workflow enrollment step.

### Gets the Workflow Step

 - [GET /deviceEnrollments/workflows/{workflowId}/steps/{stepId}](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/workflow-step-api/getstepfornav.md): Allows the user to fetch workflow step for the enrollment.

### Updates a Workflow Step

 - [PUT /deviceEnrollments/workflows/{workflowId}/steps/{stepId}](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/workflow-step-api/updatestep.md): Allows the user to update a workflow step for the enrollment.

### Gets the Current Workflow Step

 - [GET /deviceEnrollments/workflows/{workflowId}/steps/currentSteps](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/workflow-step-api/getcurrentstep.md): Allows the user to fetch the current step for the enrollment.

## Workflow Configuration API

Manages workflow for an enrollment.

### Gets Workflow Configuration

 - [GET /deviceEnrollments/workflows/{workflowId}](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/workflow-configuration-api/getworkflow.md): Allows the user to fetch workflow configuration.

